API referenceLinkedin accounts
GET
/api/v1/accounts/{id}

From Swarmhit's own data: no call to LinkedIn.

Authorization

X-API-KEY<token>

Your API key from the console (gw_live_…).

In: header

Path Parameters

id*string

A LinkedIn account id (lg_…).

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/accounts/lg_3f9c2a7b1d"
{  "object": "Account",  "id": "lg_3f9c2a7b1d",  "type": "LINKEDIN",  "name": "Jane Doe",  "status": "OK",  "created_at": "2026-10-20T14:02:11.000Z",  "connection_params": {    "im": {      "id": "ACoAAB1a2b3c4d5e6f",      "publicIdentifier": "jane-doe",      "username": "Jane Doe",      "premiumFeatures": [        "premium"      ]    }  },  "sources": [    {      "id": "lg_3f9c2a7b1d_MESSAGING",      "status": "OK"    }  ],  "gateway": {    "status": "active",    "reason": null,    "checkpoint": null,    "proxy": {      "ip": "203.0.113.24",      "country": "FR",      "city": "Paris",      "isp": "Example Telecom",      "changed_at": "2026-10-20T14:01:40.000Z",      "checked_at": "2026-10-31T09:30:00.000Z"    },    "backend": "gologin",    "proxy_provider": "anyip",    "network_type": "residential",    "pinned_country": "FR",    "last_sign_in_at": "2026-10-20T14:02:30.000Z",    "session_checked_at": "2026-10-31T09:30:00.000Z",    "queue_position": null  }}